package net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class AreaGreenProblemAnalysisResult extends ParentResult {

    private List<GreenProblemAnalysisResultResponse> content;

    public   List<GreenProblemAnalysisResultResponse> getContent() {
        return content;
    }

    public AreaGreenProblemAnalysisResult setContent(  List<GreenProblemAnalysisResultResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  GreenProblemAnalysisResultResponse {

    @ApiModelProperty(value = "绿波干线ID",example = "2")
    private   Integer greenId ;

    @ApiModelProperty(value = "绿波干线名称",example = "经十路（舜耕路-山大路）")
    private   String greenName ;

    @ApiModelProperty(value = "事件代码 705：干线缓行 706：干线拥堵",example = "'707'" , dataType = "String")
    private   String eventType ;

    @ApiModelProperty(value = "事件类型名称",example = "路口拥堵")
    private   String eventLabel ;

    @ApiModelProperty(value = "事件问题数量",example = "2")
    private   Integer number ;

}





