package net.wanji.opt.controllerv2.judgeanalysis.design.response.greenproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.ProblemTrendAnalysisResultTimeFlow;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.crossproblem.CrossDirProblemTrendAnalysisResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenCrossProblemTrendAnalysisResult extends ParentResult {

    private  GreenProblemTrendAnalysisResultResponse content;

    public  GreenProblemTrendAnalysisResultResponse getContent() {
        return content;
    }

    public GreenCrossProblemTrendAnalysisResult setContent(GreenProblemTrendAnalysisResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  GreenProblemTrendAnalysisResultResponse {


    @ApiModelProperty(value = "时段列表",example = "[\"20250311\",\"20250312\"]")
    private   List<String> timeList = new ArrayList<>();

//    @ApiModelProperty(value = "各路口时段流量列表",
//            example = "[{\"name\":\"路口1\",\"list\":[150,300]}," +
//                       "{\"name\":\"路口2\",\"list\":[150,300]}]")
    private List<GreenProblemTrendAnalysisResultTimeFlow> dataList=new ArrayList<>();

}

@Data
class GreenProblemTrendAnalysisResultTimeFlow extends ProblemTrendAnalysisResultTimeFlow {

    @ApiModelProperty(value = "路口ID",example = "")
    private   String crossId ;
    @ApiModelProperty(value = "路口名称",example = "")
    private   String crossName ;


}



