package net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class AreaProblemTrendAnalysisResult extends ParentResult {

    private  ProblemTrendAnalysisResultResponse content;

    public  ProblemTrendAnalysisResultResponse getContent() {
        return content;
    }

    public AreaProblemTrendAnalysisResult setContent( ProblemTrendAnalysisResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  ProblemTrendAnalysisResultResponse {


    @ApiModelProperty(value = "时段列表，天粒度格式：yyyyMMdd，（小时/分钟）粒度格式：HH:mm",example = "[\"20250311\",\"20250312\"]",dataType = "String[]")
    private   List<String> timeList = new ArrayList<>();

//    @ApiModelProperty(value = "各路口时段流量列表",
//            example = "[{\"name\":\"路口1\",\"list\":[150,300]}," +
//                       "{\"name\":\"路口2\",\"list\":[150,300]}]")
    private List<ProblemTrendAnalysisResultTimeFlow> dataList=new ArrayList<>();

}



