package net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author fengyi
 * @date 2025/3/17
 * @description
 */
@Data
public  class   ProblemTrendAnalysisResultTimeFlow {

    @ApiModelProperty(value = "事件代码 701：空放 702：路口失衡，703：路口溢出 705：干线缓行 706：干线拥堵 707：路口拥堵",example = "'707'",dataType = "string")
    private   String eventType ;
    @ApiModelProperty(value = "事件类型名称",example = "路口拥堵")
    private   String eventLabel ;
    @ApiModelProperty(value = "时段事件数量，时段对应到timeList",example = "[300,400]",dataType = "int[]")
    private List<Integer> list ;

}
